TotalHits.Relation (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, record: TotalHits, enum: Relation

Package org.apache.lucene.search

# Enum Class TotalHits.Relation

java.lang.Object
java.lang.Enum<TotalHits.Relation>
org.apache.lucene.search.TotalHits.Relation

All Implemented Interfaces:
  `Serializable`, `Comparable<TotalHits.Relation>`, `Constable`

Enclosing class:
  `TotalHits`

public static enum TotalHits.Relation extends Enum<TotalHits.Relation>
How the `TotalHits.value` should be interpreted.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EQUAL_TO`
  The total hit count is equal to `TotalHits.value`.
  `GREATER_THAN_OR_EQUAL_TO`
  The total hit count is greater than or equal to `TotalHits.value`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TotalHits.Relation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TotalHits.Relation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EQUAL_TO

    public static final TotalHits.Relation EQUAL_TO
    The total hit count is equal to `TotalHits.value`.

  - ### GREATER_THAN_OR_EQUAL_TO

    public static final TotalHits.Relation GREATER_THAN_OR_EQUAL_TO
    The total hit count is greater than or equal to `TotalHits.value`.

- ## Method Details

  - ### values

    public static TotalHits.Relation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TotalHits.Relation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null